Subject: bug#49910: Fwd: Re: [website] script generating POT files broken with [email-masked]

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sat, 7 Aug 2021 13:08:20 +0200

On Fri, Aug 06, 2021 at 02:16:16PM +0200, Leo Prikler wrote:
> > guile -c '(with-input-from-string ",@" (lambda () (read)))'
> The trick that I'm applying is to call syntax->datum on the return
> value of (read).

This must be a different error because guile errors out without return
value, but thank you for making me read the guile NEWS file again.  I
had forgotten there was a rewrite of (read).

I have pushed a workaround to guix-artwork as
f66b87373b33974751d2567f8c433ce44d07f10a and will take another look at
guile’s behavior now.

Regards,
Florian